Skip to main content
PATCH
Update Sprint

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Path Parameters

sprintId
string
required
valueUnitId
string
required

Body

application/json

Update sprint payload.

name
string | null
startDate
string<date> | null

Sprint start date.

Example:

"2026-04-01"

endDate
string<date> | null

Sprint end date.

Example:

"2026-06-30"

goal
string | null
method
string | null
successCriteria
string | null
outcome
string | null
status
string | null
teamIds
string[] | null

Optional team ids in the authenticated organization assigned to the sprint.

Response

200 - application/json

Request processed successfully

The response is of type object.